//---------------------------------------------------------------------------
#ifndef MMMainFrmH
#define MMMainFrmH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include "RichView.hpp"
#include "RVScroll.hpp"
#include "RVStyle.hpp"
#include "CRVData.hpp"
#include "RVTable.hpp"
#include <Graphics.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TLabel *Label2;
	TListBox *ListBox1;
	TRichView *rvOutput;
	TRichView *rvTemplate;
	TRVStyle *rvsOutput;
	TRVStyle *rvsTemplate;
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall ListBox1Click(TObject *Sender);
private:	// User declarations
    TStringList* Codes;
    void LoadCustomers();
    AnsiString GetFieldValueFromDatabase(const AnsiString FieldName);
    void FillFields(TCustomRVData* RVData);
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
